unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, NxControls6, NxCustomGrid6, NxVirtualGrid6,
  NxDBGrid6, NxGridView6, StdCtrls, NxColumns6, NxDBColumns6;

type
  TForm1 = class(TForm)
    NextDBGrid61: TNextDBGrid6;
    Table1: TTable;
    NxReportGridView61: TNxReportGridView6;
    DataSource1: TDataSource;
    NxDBNumberColumn61: TNxDBNumberColumn6;
    NxDBTextColumn61: TNxDBTextColumn6;
    NxDBTextColumn62: TNxDBTextColumn6;
    NxDBTextColumn63: TNxDBTextColumn6;
    NxDBTextColumn64: TNxDBTextColumn6;
    NxDBTextColumn65: TNxDBTextColumn6;
    NxDBTextColumn66: TNxDBTextColumn6;
    NxDBTextColumn67: TNxDBTextColumn6;
    NxDBTextColumn68: TNxDBTextColumn6;
    NxDBTextColumn69: TNxDBTextColumn6;
    NxDBNumberColumn62: TNxDBNumberColumn6;
    NxDBTextColumn610: TNxDBTextColumn6;
    NxDBDateColumn61: TNxDBDateColumn6;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Table1.Open;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  NextDBGrid61.BufferRecords := TCheckBox(Sender).Checked;
end;

end.
